Create a design
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/designs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'design={
"name": "Horizon 25",
"storey_type": "Single Storey"
}'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/designs"
payload = { "design": "{
\"name\": \"Horizon 25\",
\"storey_type\": \"Single Storey\"
}" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({design: '{\n "name": "Horizon 25",\n "storey_type": "Single Storey"\n}'})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/designs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/designs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "design=%7B%0A%20%20%22name%22%3A%20%22Horizon%2025%22%2C%0A%20%20%22storey_type%22%3A%20%22Single%20Storey%22%0A%7D",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/designs"
payload := strings.NewReader("design=%7B%0A%20%20%22name%22%3A%20%22Horizon%2025%22%2C%0A%20%20%22storey_type%22%3A%20%22Single%20Storey%22%0A%7D")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/designs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("design=%7B%0A%20%20%22name%22%3A%20%22Horizon%2025%22%2C%0A%20%20%22storey_type%22%3A%20%22Single%20Storey%22%0A%7D")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/designs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "design=%7B%0A%20%20%22name%22%3A%20%22Horizon%2025%22%2C%0A%20%20%22storey_type%22%3A%20%22Single%20Storey%22%0A%7D"
response = http.request(request)
puts response.read_body{
"design": {
"public_uid": "BD-6570653",
"name": "Horizon 25",
"description": "",
"active": true,
"bedroom": null,
"bathroom": null,
"garage": null,
"living": null,
"floor_area": "0.0",
"external_area": null,
"has_study": null,
"storey_type": "Single Storey",
"building_type": "House",
"range_name": null,
"photos_count": 0,
"documents_count": 0,
"build_width": null,
"build_length": null,
"min_width_land": "0.0",
"min_length_land": "0.0",
"squares": "0.0",
"floor_area_second_dwelling": "0.0",
"squares_second_dwelling": null,
"videos": [],
"rooms": []
}
}{
"errors": [
"Storey type is not a valid storey type"
]
}Stock / Designs
Create a design
Adds a house design.
POST
/
{agency_uid}
/
designs
Create a design
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/designs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'design={
"name": "Horizon 25",
"storey_type": "Single Storey"
}'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/designs"
payload = { "design": "{
\"name\": \"Horizon 25\",
\"storey_type\": \"Single Storey\"
}" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({design: '{\n "name": "Horizon 25",\n "storey_type": "Single Storey"\n}'})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/designs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/designs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "design=%7B%0A%20%20%22name%22%3A%20%22Horizon%2025%22%2C%0A%20%20%22storey_type%22%3A%20%22Single%20Storey%22%0A%7D",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/designs"
payload := strings.NewReader("design=%7B%0A%20%20%22name%22%3A%20%22Horizon%2025%22%2C%0A%20%20%22storey_type%22%3A%20%22Single%20Storey%22%0A%7D")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/designs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("design=%7B%0A%20%20%22name%22%3A%20%22Horizon%2025%22%2C%0A%20%20%22storey_type%22%3A%20%22Single%20Storey%22%0A%7D")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/designs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "design=%7B%0A%20%20%22name%22%3A%20%22Horizon%2025%22%2C%0A%20%20%22storey_type%22%3A%20%22Single%20Storey%22%0A%7D"
response = http.request(request)
puts response.read_body{
"design": {
"public_uid": "BD-6570653",
"name": "Horizon 25",
"description": "",
"active": true,
"bedroom": null,
"bathroom": null,
"garage": null,
"living": null,
"floor_area": "0.0",
"external_area": null,
"has_study": null,
"storey_type": "Single Storey",
"building_type": "House",
"range_name": null,
"photos_count": 0,
"documents_count": 0,
"build_width": null,
"build_length": null,
"min_width_land": "0.0",
"min_length_land": "0.0",
"squares": "0.0",
"floor_area_second_dwelling": "0.0",
"squares_second_dwelling": null,
"videos": [],
"rooms": []
}
}{
"errors": [
"Storey type is not a valid storey type"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Agency public_uid
Body
application/x-www-form-urlencoded
Show child attributes
Show child attributes
Response
Created
Show child attributes
Show child attributes